View Issue Details

IDProjectCategoryView StatusLast Update
0003687GNUnettransport servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityurgentSeverityblockReproducibilityhave not tried
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003687: WARNING `accept' failed at connection.c:345 with error: Resource temporarily unavailable
DescriptionI'm seeing this on gnunet9 in the logs. It suggests a socket leak (service hitting 1024 open FDs).
TagsNo tags attached.

Relationships

related to 0003684 closedChristian Grothoff Revision 35254: Overnight run fills memory and swap completely 
related to 0003683 closedChristian Grothoff peers fail to respond to PING 

Activities

Christian Grothoff

2015-02-19 14:18

manager   ~0008896

This is with just TCP plugin enabled.

Christian Grothoff

2015-02-20 20:23

manager   ~0008900

Tested with valgrind and --track-fds=yes, found nothing.

This suggests that the FDs are in fact cleaned up (closed) properly on exit, and thus likely also associated buffers. Thus, this may ultimately really be a duplicate with 0003684.

Christian Grothoff

2015-02-21 00:02

manager   ~0008901

Removed some RC logic in SVN 35288 which might have kept client's alive.

Christian Grothoff

2015-02-21 19:06

manager   ~0008904

Two odd things:
1) we're nowhere near the 1024-FD limit, and still get the

Feb 21 19:05:07-501773 util-1208 WARNING `accept' failed at connection.c:345 with error: Resource temporarily unavailable

warnings.

2) We do have 150+ open sockets that are not (anymore?) identifiable as TCP sockets:

gnunet9@sam:~$ lsof -p 1208 -n
COMMAND PID USER FD TYPE DEVICE SIZE/OFF NODE NAME
memcheck- 1208 gnunet9 cwd DIR 253,0 16384 1179649 /home/gnunet9
memcheck- 1208 gnunet9 rtd DIR 9,1 4096 2 /
memcheck- 1208 gnunet9 txt REG 9,2 4046384 274968 /usr/lib/valgrind/memcheck-amd64-linux
memcheck- 1208 gnunet9 mem REG 253,0 345304 1314194 /home/gnunet9/lib/gnunet/libexec/gnunet-service-transport
memcheck- 1208 gnunet9 mem REG 9,1 140928 2911 /lib/x86_64-linux-gnu/ld-2.19.so
memcheck- 1208 gnunet9 mem REG 9,2 5856 277676 /usr/lib/valgrind/vgpreload_core-amd64-linux.so
memcheck- 1208 gnunet9 mem REG 9,2 63328 274862 /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so
memcheck- 1208 gnunet9 mem REG 253,0 133120 1313219 /home/gnunet9/lib/libgnunettransport.so.2.2.0
memcheck- 1208 gnunet9 mem REG 253,0 91320 1313049 /home/gnunet9/lib/libgnunetats.so.4.0.0
memcheck- 1208 gnunet9 mem REG 253,0 41400 1312722 /home/gnunet9/lib/libgnunethello.so.0.1.0
memcheck- 1208 gnunet9 mem REG 253,0 43624 1313405 /home/gnunet9/lib/libgnunetpeerinfo.so.0.0.0
memcheck- 1208 gnunet9 mem REG 253,0 103400 1313835 /home/gnunet9/lib/libgnunetnat.so.0.1.1
memcheck- 1208 gnunet9 mem REG 253,0 55048 1313271 /home/gnunet9/lib/libgnunetstatistics.so.0.1.3
memcheck- 1208 gnunet9 mem REG 253,0 996088 1311819 /home/gnunet9/lib/libgnunetutil.so.13.0.0
memcheck- 1208 gnunet9 mem REG 9,1 1051056 3387 /lib/x86_64-linux-gnu/libm-2.19.so
memcheck- 1208 gnunet9 mem REG 9,1 1729984 3372 /lib/x86_64-linux-gnu/libc-2.19.so
memcheck- 1208 gnunet9 mem REG 253,0 1866621 1315543 /home/gnunet9/lib/libgcrypt.so.20.0.0
memcheck- 1208 gnunet9 mem REG 9,1 14112 859 /lib/x86_64-linux-gnu/libgpg-error.so.0.8.0
memcheck- 1208 gnunet9 mem REG 9,2 39392 262299 /usr/lib/x86_64-linux-gnu/libltdl.so.7.3.0
memcheck- 1208 gnunet9 mem REG 9,1 109144 763 /lib/x86_64-linux-gnu/libz.so.1.2.8
memcheck- 1208 gnunet9 mem REG 9,2 1137320 271846 /usr/lib/x86_64-linux-gnu/libunistring.so.0.1.2
memcheck- 1208 gnunet9 mem REG 9,1 14664 3379 /lib/x86_64-linux-gnu/libdl-2.19.so
memcheck- 1208 gnunet9 mem REG 253,0 106880 1314506 /home/gnunet9/lib/gnunet/libgnunet_plugin_transport_tcp.so
memcheck- 1208 gnunet9 mem REG 8,51 40 74 /tmp/vgdb-pipe-shared-mem-vgdb-1208-by-gnunet9-on-???
memcheck- 1208 gnunet9 0r CHR 1,3 0t0 1028 /dev/null
memcheck- 1208 gnunet9 1w REG 253,0 275429 1189201 /home/gnunet9/nohup.out
memcheck- 1208 gnunet9 2w REG 253,0 275429 1189201 /home/gnunet9/nohup.out
memcheck- 1208 gnunet9 3u unix 0xffff881e254e0740 0t0 489380893 /tmp/gnunet-system-runtime//gnunet-service-transport.sock
memcheck- 1208 gnunet9 4r CHR 1,9 0t0 1033 /dev/urandom
memcheck- 1208 gnunet9 5r FIFO 0,8 0t0 489379479 pipe
memcheck- 1208 gnunet9 6w FIFO 0,8 0t0 489379479 pipe
memcheck- 1208 gnunet9 7u unix 0xffff880f87959500 0t0 489379480 socket
memcheck- 1208 gnunet9 8u unix 0xffff880f87958800 0t0 489379482 socket
memcheck- 1208 gnunet9 9u unix 0xffff880b44065b40 0t0 489379483 socket
memcheck- 1208 gnunet9 10u IPv6 489379486 0t0 TCP *:gnunet (LISTEN)
memcheck- 1208 gnunet9 11u IPv4 489379487 0t0 TCP *:gnunet (LISTEN)
memcheck- 1208 gnunet9 12u unix 0xffff88103e55d740 0t0 489379490 socket
memcheck- 1208 gnunet9 13u unix 0xffff88103e55da80 0t0 489379491 socket
memcheck- 1208 gnunet9 14u unix 0xffff88095c07ab40 0t0 489379492 /tmp/gnunet-system-runtime//gnunet-service-transport.sock
memcheck- 1208 gnunet9 15u unix 0xffff88203e8ce240 0t0 489379493 /tmp/gnunet-system-runtime//gnunet-service-transport.sock
memcheck- 1208 gnunet9 16u unix 0xffff880e11450700 0t0 489375246 /tmp/gnunet-system-runtime//gnunet-service-transport.sock
memcheck- 1208 gnunet9 17u unix 0xffff88110d57d740 0t0 489375247 /tmp/gnunet-system-runtime//gnunet-service-transport.sock
memcheck- 1208 gnunet9 18u IPv4 489359708 0t0 TCP 131.159.74.67:60099->79.229.100.59:gnunet (CLOSE_WAIT)
memcheck- 1208 gnunet9 19u IPv4 489375249 0t0 TCP 131.159.74.67:57579->162.197.25.70:gnunet (ESTABLISHED)
memcheck- 1208 gnunet9 20u sock 0,7 0t0 489413235 can't identify protocol
memcheck- 1208 gnunet9 21u IPv4 489375251 0t0 TCP 131.159.74.67:60173->104.167.105.252:gnunet (ESTABLISHED)
memcheck- 1208 gnunet9 22u sock 0,7 0t0 489375252 can't identify protocol
memcheck- 1208 gnunet9 23u sock 0,7 0t0 489375253 can't identify protocol
memcheck- 1208 gnunet9 24u sock 0,7 0t0 489375254 can't identify protocol
memcheck- 1208 gnunet9 25u sock 0,7 0t0 489375255 can't identify protocol
memcheck- 1208 gnunet9 26u sock 0,7 0t0 489375256 can't identify protocol
memcheck- 1208 gnunet9 27u sock 0,7 0t0 489375257 can't identify protocol
memcheck- 1208 gnunet9 28u sock 0,7 0t0 489375258 can't identify protocol
memcheck- 1208 gnunet9 29u sock 0,7 0t0 489375259 can't identify protocol
memcheck- 1208 gnunet9 30u sock 0,7 0t0 489375260 can't identify protocol
memcheck- 1208 gnunet9 31u sock 0,7 0t0 489375261 can't identify protocol
memcheck- 1208 gnunet9 32u sock 0,7 0t0 489375262 can't identify protocol
memcheck- 1208 gnunet9 33u sock 0,7 0t0 489375263 can't identify protocol
memcheck- 1208 gnunet9 34u sock 0,7 0t0 489379494 can't identify protocol
memcheck- 1208 gnunet9 35u sock 0,7 0t0 489379495 can't identify protocol
memcheck- 1208 gnunet9 36u sock 0,7 0t0 489379496 can't identify protocol
memcheck- 1208 gnunet9 37u sock 0,7 0t0 489379497 can't identify protocol
memcheck- 1208 gnunet9 38u sock 0,7 0t0 489379498 can't identify protocol
memcheck- 1208 gnunet9 39u sock 0,7 0t0 489379499 can't identify protocol
memcheck- 1208 gnunet9 40u sock 0,7 0t0 489379500 can't identify protocol
memcheck- 1208 gnunet9 41u sock 0,7 0t0 489379501 can't identify protocol
memcheck- 1208 gnunet9 42u sock 0,7 0t0 489379502 can't identify protocol
memcheck- 1208 gnunet9 43u sock 0,7 0t0 489379503 can't identify protocol
memcheck- 1208 gnunet9 44u sock 0,7 0t0 489375266 can't identify protocol
memcheck- 1208 gnunet9 45u sock 0,7 0t0 489375267 can't identify protocol
memcheck- 1208 gnunet9 46u sock 0,7 0t0 489375268 can't identify protocol
memcheck- 1208 gnunet9 47u sock 0,7 0t0 489175820 can't identify protocol
memcheck- 1208 gnunet9 48u sock 0,7 0t0 489378158 can't identify protocol
memcheck- 1208 gnunet9 49u sock 0,7 0t0 489378159 can't identify protocol
memcheck- 1208 gnunet9 50u sock 0,7 0t0 489379517 can't identify protocol
memcheck- 1208 gnunet9 51u sock 0,7 0t0 489379518 can't identify protocol
memcheck- 1208 gnunet9 52u IPv4 489469253 0t0 TCP 131.159.74.67:gnunet->176.43.42.197:53500 (ESTABLISHED)
memcheck- 1208 gnunet9 53u sock 0,7 0t0 489372985 can't identify protocol
memcheck- 1208 gnunet9 54u sock 0,7 0t0 489372986 can't identify protocol
memcheck- 1208 gnunet9 55u sock 0,7 0t0 489383481 can't identify protocol
memcheck- 1208 gnunet9 56u sock 0,7 0t0 489375324 can't identify protocol
memcheck- 1208 gnunet9 57u sock 0,7 0t0 489383029 can't identify protocol
memcheck- 1208 gnunet9 58u sock 0,7 0t0 489362153 can't identify protocol
memcheck- 1208 gnunet9 59u IPv4 489382994 0t0 TCP 131.159.74.67:59482->79.229.100.59:gnunet (CLOSE_WAIT)
memcheck- 1208 gnunet9 60u sock 0,7 0t0 489383525 can't identify protocol
memcheck- 1208 gnunet9 61u sock 0,7 0t0 489375485 can't identify protocol
memcheck- 1208 gnunet9 62u sock 0,7 0t0 489375486 can't identify protocol
memcheck- 1208 gnunet9 63u sock 0,7 0t0 489379659 can't identify protocol
memcheck- 1208 gnunet9 64u sock 0,7 0t0 489379660 can't identify protocol
memcheck- 1208 gnunet9 65u sock 0,7 0t0 489404381 can't identify protocol
memcheck- 1208 gnunet9 66u sock 0,7 0t0 489379662 can't identify protocol
memcheck- 1208 gnunet9 67u sock 0,7 0t0 489378343 can't identify protocol
memcheck- 1208 gnunet9 68u sock 0,7 0t0 489379664 can't identify protocol
memcheck- 1208 gnunet9 69u sock 0,7 0t0 489383163 can't identify protocol
memcheck- 1208 gnunet9 70u IPv4 489379735 0t0 TCP 131.159.74.67:45225->216.139.213.94:gnunet (ESTABLISHED)
memcheck- 1208 gnunet9 71u sock 0,7 0t0 489383474 can't identify protocol
memcheck- 1208 gnunet9 72u IPv4 489469713 0t0 TCP 131.159.74.67:gnunet->77.193.168.54:33222 (ESTABLISHED)
memcheck- 1208 gnunet9 73u sock 0,7 0t0 489383476 can't identify protocol
memcheck- 1208 gnunet9 74u sock 0,7 0t0 489383583 can't identify protocol
memcheck- 1208 gnunet9 75u sock 0,7 0t0 489383287 can't identify protocol
memcheck- 1208 gnunet9 76u sock 0,7 0t0 489376309 can't identify protocol
memcheck- 1208 gnunet9 77u sock 0,7 0t0 489378344 can't identify protocol
memcheck- 1208 gnunet9 78u sock 0,7 0t0 489387074 can't identify protocol
memcheck- 1208 gnunet9 79u sock 0,7 0t0 489383477 can't identify protocol
memcheck- 1208 gnunet9 80u IPv4 489465174 0t0 TCP 131.159.74.67:gnunet->79.229.100.59:47210 (ESTABLISHED)
memcheck- 1208 gnunet9 81u sock 0,7 0t0 489385100 can't identify protocol
memcheck- 1208 gnunet9 82u sock 0,7 0t0 489376588 can't identify protocol
memcheck- 1208 gnunet9 83u sock 0,7 0t0 489373452 can't identify protocol
memcheck- 1208 gnunet9 84u sock 0,7 0t0 489373453 can't identify protocol
memcheck- 1208 gnunet9 85u sock 0,7 0t0 489383478 can't identify protocol
memcheck- 1208 gnunet9 86u sock 0,7 0t0 489378759 can't identify protocol
memcheck- 1208 gnunet9 87u sock 0,7 0t0 489362316 can't identify protocol
memcheck- 1208 gnunet9 88u IPv4 489469574 0t0 TCP 131.159.74.67:gnunet->85.179.164.44:53957 (ESTABLISHED)
memcheck- 1208 gnunet9 89u IPv4 489383291 0t0 TCP 131.159.74.67:52873->95.130.11.38:gnunet (CLOSE_WAIT)
memcheck- 1208 gnunet9 90u sock 0,7 0t0 489397254 can't identify protocol
memcheck- 1208 gnunet9 91u sock 0,7 0t0 489403676 can't identify protocol
memcheck- 1208 gnunet9 92u sock 0,7 0t0 489376694 can't identify protocol
memcheck- 1208 gnunet9 93u sock 0,7 0t0 489388249 can't identify protocol
memcheck- 1208 gnunet9 94u sock 0,7 0t0 489391115 can't identify protocol
memcheck- 1208 gnunet9 95u sock 0,7 0t0 489387439 can't identify protocol
memcheck- 1208 gnunet9 96u sock 0,7 0t0 489391596 can't identify protocol
memcheck- 1208 gnunet9 97u sock 0,7 0t0 489383795 can't identify protocol
memcheck- 1208 gnunet9 98u sock 0,7 0t0 489383668 can't identify protocol
memcheck- 1208 gnunet9 99u sock 0,7 0t0 489398593 can't identify protocol
memcheck- 1208 gnunet9 100u sock 0,7 0t0 489388045 can't identify protocol
memcheck- 1208 gnunet9 101u sock 0,7 0t0 489383697 can't identify protocol
memcheck- 1208 gnunet9 102u IPv4 489469692 0t0 TCP 131.159.74.67:gnunet->129.42.208.167:58528 (ESTABLISHED)
memcheck- 1208 gnunet9 103u sock 0,7 0t0 489367911 can't identify protocol
memcheck- 1208 gnunet9 104u sock 0,7 0t0 489365383 can't identify protocol
memcheck- 1208 gnunet9 105u sock 0,7 0t0 489403678 can't identify protocol
memcheck- 1208 gnunet9 106u sock 0,7 0t0 489386067 can't identify protocol
memcheck- 1208 gnunet9 107u sock 0,7 0t0 489383479 can't identify protocol
memcheck- 1208 gnunet9 108u sock 0,7 0t0 489383484 can't identify protocol
memcheck- 1208 gnunet9 109u IPv4 489383729 0t0 TCP 131.159.74.67:gnunet->178.113.14.148:49773 (ESTABLISHED)
memcheck- 1208 gnunet9 110u sock 0,7 0t0 489378745 can't identify protocol
memcheck- 1208 gnunet9 111u sock 0,7 0t0 489383491 can't identify protocol
memcheck- 1208 gnunet9 112u sock 0,7 0t0 489386071 can't identify protocol
memcheck- 1208 gnunet9 113u sock 0,7 0t0 489387160 can't identify protocol
memcheck- 1208 gnunet9 114u sock 0,7 0t0 489406715 can't identify protocol
memcheck- 1208 gnunet9 115u sock 0,7 0t0 489383507 can't identify protocol
memcheck- 1208 gnunet9 116u sock 0,7 0t0 489391117 can't identify protocol
memcheck- 1208 gnunet9 117u sock 0,7 0t0 489402583 can't identify protocol
memcheck- 1208 gnunet9 118u IPv4 489469799 0t0 TCP 131.159.74.67:gnunet->46.186.11.176:41078 (ESTABLISHED)
memcheck- 1208 gnunet9 119u sock 0,7 0t0 489362998 can't identify protocol
memcheck- 1208 gnunet9 120u sock 0,7 0t0 489387392 can't identify protocol
memcheck- 1208 gnunet9 121u sock 0,7 0t0 489387285 can't identify protocol
memcheck- 1208 gnunet9 122u sock 0,7 0t0 489391165 can't identify protocol
memcheck- 1208 gnunet9 123u sock 0,7 0t0 489391166 can't identify protocol
memcheck- 1208 gnunet9 124u sock 0,7 0t0 489391601 can't identify protocol
memcheck- 1208 gnunet9 125u sock 0,7 0t0 489403679 can't identify protocol
memcheck- 1208 gnunet9 126u sock 0,7 0t0 489394010 can't identify protocol
memcheck- 1208 gnunet9 127u sock 0,7 0t0 489397436 can't identify protocol
memcheck- 1208 gnunet9 128u sock 0,7 0t0 489403681 can't identify protocol
memcheck- 1208 gnunet9 129u sock 0,7 0t0 489393602 can't identify protocol
memcheck- 1208 gnunet9 130u sock 0,7 0t0 489393430 can't identify protocol
memcheck- 1208 gnunet9 131u sock 0,7 0t0 489391898 can't identify protocol
memcheck- 1208 gnunet9 132u sock 0,7 0t0 489391138 can't identify protocol
memcheck- 1208 gnunet9 133u sock 0,7 0t0 489391899 can't identify protocol
memcheck- 1208 gnunet9 134u sock 0,7 0t0 489390398 can't identify protocol
memcheck- 1208 gnunet9 135u sock 0,7 0t0 489385283 can't identify protocol
memcheck- 1208 gnunet9 136u sock 0,7 0t0 489385284 can't identify protocol
memcheck- 1208 gnunet9 137u sock 0,7 0t0 489396407 can't identify protocol
memcheck- 1208 gnunet9 138u sock 0,7 0t0 489390956 can't identify protocol
memcheck- 1208 gnunet9 139u sock 0,7 0t0 489388025 can't identify protocol
memcheck- 1208 gnunet9 140u sock 0,7 0t0 489386527 can't identify protocol
memcheck- 1208 gnunet9 141u sock 0,7 0t0 489403683 can't identify protocol
memcheck- 1208 gnunet9 142u sock 0,7 0t0 489390401 can't identify protocol
memcheck- 1208 gnunet9 143u sock 0,7 0t0 489385295 can't identify protocol
memcheck- 1208 gnunet9 144u sock 0,7 0t0 489396294 can't identify protocol
memcheck- 1208 gnunet9 145u sock 0,7 0t0 489385297 can't identify protocol
memcheck- 1208 gnunet9 146u sock 0,7 0t0 489391241 can't identify protocol
memcheck- 1208 gnunet9 147u sock 0,7 0t0 489383932 can't identify protocol
memcheck- 1208 gnunet9 148u sock 0,7 0t0 489383933 can't identify protocol
memcheck- 1208 gnunet9 149u sock 0,7 0t0 489391921 can't identify protocol
memcheck- 1208 gnunet9 150u sock 0,7 0t0 489390417 can't identify protocol
memcheck- 1208 gnunet9 151u sock 0,7 0t0 489387820 can't identify protocol
memcheck- 1208 gnunet9 152u sock 0,7 0t0 489387168 can't identify protocol
memcheck- 1208 gnunet9 153u sock 0,7 0t0 489391923 can't identify protocol
memcheck- 1208 gnunet9 154u sock 0,7 0t0 489390420 can't identify protocol
memcheck- 1208 gnunet9 155u sock 0,7 0t0 489388026 can't identify protocol
memcheck- 1208 gnunet9 156u sock 0,7 0t0 489390422 can't identify protocol
memcheck- 1208 gnunet9 157u sock 0,7 0t0 489388027 can't identify protocol
memcheck- 1208 gnunet9 158u sock 0,7 0t0 489415759 can't identify protocol
memcheck- 1208 gnunet9 159u sock 0,7 0t0 489396295 can't identify protocol
memcheck- 1208 gnunet9 160u sock 0,7 0t0 489391928 can't identify protocol
memcheck- 1208 gnunet9 161u sock 0,7 0t0 489391041 can't identify protocol
memcheck- 1208 gnunet9 162u sock 0,7 0t0 489396408 can't identify protocol
memcheck- 1208 gnunet9 163u sock 0,7 0t0 489391714 can't identify protocol
memcheck- 1208 gnunet9 164u sock 0,7 0t0 489391931 can't identify protocol
memcheck- 1208 gnunet9 165u sock 0,7 0t0 489389013 can't identify protocol
memcheck- 1208 gnunet9 166u sock 0,7 0t0 489390542 can't identify protocol
memcheck- 1208 gnunet9 167u IPv4 489387558 0t0 TCP 131.159.74.67:54332->95.130.11.38:gnunet (CLOSE_WAIT)
memcheck- 1208 gnunet9 168u sock 0,7 0t0 489389014 can't identify protocol
memcheck- 1208 gnunet9 169u sock 0,7 0t0 489397811 can't identify protocol
memcheck- 1208 gnunet9 170u sock 0,7 0t0 489403929 can't identify protocol
memcheck- 1208 gnunet9 171u sock 0,7 0t0 489391935 can't identify protocol
memcheck- 1208 gnunet9 172u sock 0,7 0t0 489397943 can't identify protocol
memcheck- 1208 gnunet9 173u sock 0,7 0t0 489390671 can't identify protocol
memcheck- 1208 gnunet9 174u sock 0,7 0t0 489391938 can't identify protocol
memcheck- 1208 gnunet9 175u sock 0,7 0t0 489402552 can't identify protocol
memcheck- 1208 gnunet9 176u sock 0,7 0t0 489394579 can't identify protocol
memcheck- 1208 gnunet9 177u sock 0,7 0t0 489393248 can't identify protocol
memcheck- 1208 gnunet9 178u sock 0,7 0t0 489391942 can't identify protocol
memcheck- 1208 gnunet9 179u sock 0,7 0t0 489393251 can't identify protocol
memcheck- 1208 gnunet9 180u sock 0,7 0t0 489391944 can't identify protocol
memcheck- 1208 gnunet9 181u sock 0,7 0t0 489393252 can't identify protocol
memcheck- 1208 gnunet9 182u sock 0,7 0t0 489391946 can't identify protocol
memcheck- 1208 gnunet9 183u sock 0,7 0t0 489403875 can't identify protocol
memcheck- 1208 gnunet9 184u sock 0,7 0t0 489403525 can't identify protocol
memcheck- 1208 gnunet9 185u sock 0,7 0t0 489391954 can't identify protocol
memcheck- 1208 gnunet9 186u sock 0,7 0t0 489393258 can't identify protocol
memcheck- 1208 gnunet9 187u sock 0,7 0t0 489403684 can't identify protocol
memcheck- 1208 gnunet9 188u sock 0,7 0t0 489387681 can't identify protocol
memcheck- 1208 gnunet9 189u sock 0,7 0t0 489403704 can't identify protocol
memcheck- 1208 gnunet9 190u sock 0,7 0t0 489394580 can't identify protocol
memcheck- 1208 gnunet9 191u sock 0,7 0t0 489389050 can't identify protocol
memcheck- 1208 gnunet9 192u sock 0,7 0t0 489393260 can't identify protocol
memcheck- 1208 gnunet9 193u sock 0,7 0t0 489391990 can't identify protocol
memcheck- 1208 gnunet9 194u sock 0,7 0t0 489397441 can't identify protocol
memcheck- 1208 gnunet9 195u sock 0,7 0t0 489393262 can't identify protocol
memcheck- 1208 gnunet9 196u sock 0,7 0t0 489394084 can't identify protocol
memcheck- 1208 gnunet9 197u sock 0,7 0t0 489387871 can't identify protocol
memcheck- 1208 gnunet9 198u sock 0,7 0t0 489403710 can't identify protocol
memcheck- 1208 gnunet9 199u sock 0,7 0t0 489387875 can't identify protocol
memcheck- 1208 gnunet9 200u sock 0,7 0t0 489394108 can't identify protocol
memcheck- 1208 gnunet9 201u sock 0,7 0t0 489402629 can't identify protocol
memcheck- 1208 gnunet9 202u sock 0,7 0t0 489396410 can't identify protocol
memcheck- 1208 gnunet9 203u sock 0,7 0t0 489396411 can't identify protocol
memcheck- 1208 gnunet9 204u sock 0,7 0t0 489403860 can't identify protocol
memcheck- 1208 gnunet9 205u sock 0,7 0t0 489397861 can't identify protocol
memcheck- 1208 gnunet9 206u sock 0,7 0t0 489391071 can't identify protocol
memcheck- 1208 gnunet9 207u sock 0,7 0t0 489396529 can't identify protocol
memcheck- 1208 gnunet9 208u sock 0,7 0t0 489402630 can't identify protocol
memcheck- 1208 gnunet9 209u sock 0,7 0t0 489403685 can't identify protocol
memcheck- 1208 gnunet9 210u sock 0,7 0t0 489403686 can't identify protocol
memcheck- 1208 gnunet9 211u sock 0,7 0t0 489403690 can't identify protocol
memcheck- 1208 gnunet9 212u sock 0,7 0t0 489402657 can't identify protocol
memcheck- 1208 gnunet9 213u sock 0,7 0t0 489402770 can't identify protocol
memcheck- 1208 gnunet9 214u sock 0,7 0t0 489397862 can't identify protocol
memcheck- 1208 gnunet9 215u sock 0,7 0t0 489403696 can't identify protocol
memcheck- 1208 gnunet9 216u sock 0,7 0t0 489394845 can't identify protocol
memcheck- 1208 gnunet9 217u sock 0,7 0t0 489403529 can't identify protocol
memcheck- 1208 gnunet9 218u sock 0,7 0t0 489406482 can't identify protocol
memcheck- 1208 gnunet9 219u sock 0,7 0t0 489405674 can't identify protocol
memcheck- 1208 gnunet9 220u sock 0,7 0t0 489403548 can't identify protocol
memcheck- 1208 gnunet9 221u sock 0,7 0t0 489404133 can't identify protocol
memcheck- 1208 gnunet9 222u sock 0,7 0t0 489405785 can't identify protocol
memcheck- 1208 gnunet9 223u IPv4 489469673 0t0 TCP 131.159.74.67:gnunet->95.130.15.144:58578 (ESTABLISHED)
memcheck- 1208 gnunet9 224u sock 0,7 0t0 489406328 can't identify protocol
memcheck- 1208 gnunet9 225u sock 0,7 0t0 489403553 can't identify protocol
memcheck- 1208 gnunet9 226u sock 0,7 0t0 489404362 can't identify protocol
memcheck- 1208 gnunet9 227u sock 0,7 0t0 489391075 can't identify protocol
memcheck- 1208 gnunet9 228u sock 0,7 0t0 489405545 can't identify protocol
memcheck- 1208 gnunet9 229u sock 0,7 0t0 489397847 can't identify protocol
memcheck- 1208 gnunet9 230u sock 0,7 0t0 489403736 can't identify protocol
memcheck- 1208 gnunet9 231u sock 0,7 0t0 489398155 can't identify protocol
memcheck- 1208 gnunet9 232u sock 0,7 0t0 489404575 can't identify protocol
memcheck- 1208 gnunet9 233u sock 0,7 0t0 489415255 can't identify protocol
memcheck- 1208 gnunet9 235u sock 0,7 0t0 489406716 can't identify protocol
memcheck- 1208 gnunet9 236u sock 0,7 0t0 489403942 can't identify protocol
memcheck- 1208 gnunet9 237u sock 0,7 0t0 489407233 can't identify protocol
memcheck- 1208 gnunet9 238u sock 0,7 0t0 489405644 can't identify protocol
memcheck- 1208 gnunet9 239u sock 0,7 0t0 489394755 can't identify protocol
memcheck- 1208 gnunet9 240u sock 0,7 0t0 489406261 can't identify protocol
memcheck- 1208 gnunet9 241u sock 0,7 0t0 489404018 can't identify protocol
memcheck- 1208 gnunet9 242u IPv4 489416822 0t0 TCP 131.159.74.67:gnunet->79.239.8.190:60212 (ESTABLISHED)
memcheck- 1208 gnunet9 243u sock 0,7 0t0 489404325 can't identify protocol
memcheck- 1208 gnunet9 244u IPv4 489465203 0t0 TCP 131.159.74.67:gnunet->81.2.79.162:40770 (ESTABLISHED)
memcheck- 1208 gnunet9 245u sock 0,7 0t0 489415627 can't identify protocol
memcheck- 1208 gnunet9 246u sock 0,7 0t0 489406098 can't identify protocol
memcheck- 1208 gnunet9 247u sock 0,7 0t0 489405043 can't identify protocol
memcheck- 1208 gnunet9 248u IPv4 489414849 0t0 TCP 131.159.74.67:gnunet->178.26.225.230:57868 (ESTABLISHED)
memcheck- 1208 gnunet9 249u sock 0,7 0t0 489406113 can't identify protocol
memcheck- 1208 gnunet9 250u sock 0,7 0t0 489414740 can't identify protocol
memcheck- 1208 gnunet9 251u IPv4 489454880 0t0 TCP 131.159.74.67:gnunet->109.189.143.150:48255 (ESTABLISHED)
memcheck- 1208 gnunet9 252u IPv6 489465783 0t0 TCP [2001:4ca0:2001:42:225:90ff:fe6b:d60]:gnunet->[2001:16d8:eea3:0:4b7:4ac4:4f9a:a9cf]:56719 (ESTABLISHED)
memcheck- 1208 gnunet9 253u sock 0,7 0t0 489416770 can't identify protocol
memcheck- 1208 gnunet9 254u sock 0,7 0t0 489415284 can't identify protocol
memcheck- 1208 gnunet9 255u IPv4 489465578 0t0 TCP 131.159.74.67:gnunet->91.36.89.11:37349 (ESTABLISHED)
memcheck- 1208 gnunet9 256u sock 0,7 0t0 489407234 can't identify protocol
memcheck- 1208 gnunet9 257u sock 0,7 0t0 489416713 can't identify protocol
memcheck- 1208 gnunet9 258u IPv4 489415272 0t0 TCP 131.159.74.67:55801->95.130.11.38:gnunet (CLOSE_WAIT)
memcheck- 1208 gnunet9 259u sock 0,7 0t0 489413214 can't identify protocol
memcheck- 1208 gnunet9 260u sock 0,7 0t0 489405055 can't identify protocol
memcheck- 1208 gnunet9 261u sock 0,7 0t0 489405056 can't identify protocol
memcheck- 1208 gnunet9 262u sock 0,7 0t0 489415285 can't identify protocol
memcheck- 1208 gnunet9 264u sock 0,7 0t0 489415293 can't identify protocol
memcheck- 1208 gnunet9 265u sock 0,7 0t0 489415956 can't identify protocol
memcheck- 1208 gnunet9 266u sock 0,7 0t0 489405930 can't identify protocol
memcheck- 1208 gnunet9 267u sock 0,7 0t0 489405954 can't identify protocol
memcheck- 1208 gnunet9 268u IPv4 489465507 0t0 TCP 131.159.74.67:gnunet->93.103.95.89:42176 (ESTABLISHED)
memcheck- 1208 gnunet9 269u sock 0,7 0t0 489415286 can't identify protocol
memcheck- 1208 gnunet9 270u sock 0,7 0t0 489405967 can't identify protocol
memcheck- 1208 gnunet9 271u sock 0,7 0t0 489415287 can't identify protocol
memcheck- 1208 gnunet9 272u sock 0,7 0t0 489406759 can't identify protocol
memcheck- 1208 gnunet9 273u sock 0,7 0t0 489415288 can't identify protocol
memcheck- 1208 gnunet9 274u sock 0,7 0t0 489415289 can't identify protocol
memcheck- 1208 gnunet9 275u sock 0,7 0t0 489407270 can't identify protocol
memcheck- 1208 gnunet9 276u sock 0,7 0t0 489415291 can't identify protocol
memcheck- 1208 gnunet9 277u sock 0,7 0t0 489415297 can't identify protocol
memcheck- 1208 gnunet9 279u sock 0,7 0t0 489415316 can't identify protocol
memcheck- 1208 gnunet9 280u sock 0,7 0t0 489415317 can't identify protocol
memcheck- 1208 gnunet9 281u sock 0,7 0t0 489414124 can't identify protocol
memcheck- 1208 gnunet9 284u IPv4 489465682 0t0 TCP 131.159.74.67:gnunet->201.253.211.74:54604 (ESTABLISHED)
memcheck- 1208 gnunet9 1024r REG 253,0 345304 1314194 /home/gnunet9/lib/gnunet/libexec/gnunet-service-transport
memcheck- 1208 gnunet9 1025u REG 8,51 96 62 /tmp/valgrind_proc_1208_cmdline_8cd4f708 (deleted)
memcheck- 1208 gnunet9 1026u REG 8,51 304 66 /tmp/valgrind_proc_1208_auxv_8cd4f708 (deleted)
memcheck- 1208 gnunet9 1027w REG 253,0 275429 1189201 /home/gnunet9/nohup.out
memcheck- 1208 gnunet9 1028r FIFO 0,8 0t0 489379478 pipe
memcheck- 1208 gnunet9 1029w FIFO 0,8 0t0 489379478 pipe
memcheck- 1208 gnunet9 1030r FIFO 8,51 0t0 76 /tmp/vgdb-pipe-from-vgdb-to-1208-by-gnunet9-on-???
gnunet9@sam:~$ lsof -p 1208 -n > lsof.txt
gnunet9@sam:~$ less lsof.txt
gnunet9@sam:~$ less nohup.out
gnunet9@sam:~$ netstat -ntpl | grep 1208
(Not all processes could be identified, non-owned process info
 will not be shown, you would have to be root to see it all.)
tcp 0 0 0.0.0.0:2086 0.0.0.0:* LISTEN 1208/valgrind.bin
tcp6 0 0 :::2086 :::* LISTEN 1208/valgrind.bin
gnunet9@sam:~$ netstat -ntp | grep 1208
(Not all processes could be identified, non-owned process info
 will not be shown, you would have to be root to see it all.)
tcp 0 0 131.159.74.67:2086 85.179.164.44:53957 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:54332 95.130.11.38:2086 CLOSE_WAIT 1208/valgrind.bin
tcp 0 0 131.159.74.67:2086 176.43.42.197:53500 ESTABLISHED 1208/valgrind.bin
tcp 0 103105 131.159.74.67:2086 77.193.168.54:33222 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:2086 109.189.143.150:48255 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:45225 216.139.213.94:2086 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:2086 79.239.8.190:60212 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:2086 79.229.100.59:47210 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:60099 79.229.100.59:2086 CLOSE_WAIT 1208/valgrind.bin
tcp 0 218559 131.159.74.67:2086 81.2.79.162:40875 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:2086 95.130.15.144:58578 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:52873 95.130.11.38:2086 CLOSE_WAIT 1208/valgrind.bin
tcp 0 0 131.159.74.67:2086 46.186.11.176:41078 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:57579 162.197.25.70:2086 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:60173 104.167.105.252:2086 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:2086 78.51.38.29:34830 ESTABLISHED 1208/valgrind.bin
tcp 0 16 131.159.74.67:2086 93.103.95.89:42176 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:2086 91.36.89.11:37349 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:2086 201.253.211.74:54604 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:55801 95.130.11.38:2086 CLOSE_WAIT 1208/valgrind.bin
tcp 0 0 131.159.74.67:2086 178.113.14.148:49773 ESTABLISHED 1208/valgrind.bin
tcp 0 0 131.159.74.67:2086 129.42.208.167:58528 ESTABLISHED 1208/valgrind.bin
tcp 3461 0 131.159.74.67:59482 79.229.100.59:2086 CLOSE_WAIT 1208/valgrind.bin
tcp 0 0 131.159.74.67:2086 178.26.225.230:57868 ESTABLISHED 1208/valgrind.bin

Christian Grothoff

2015-02-21 19:10

manager   ~0008905

http://serverfault.com/questions/153983/sockets-found-by-lsof-but-not-by-netstat suggests this happens if we create a socket but never connect() it.

Christian Grothoff

2015-02-21 21:44

manager   ~0008906

TCP plugin was failing to decrement RC of clients that it attached to the server, causing socket leakage (in significant numbers if target peers were failing to connect). Fixed in SVN 35294.

Issue History

Date Modified Username Field Change
2015-02-19 14:17 Christian Grothoff New Issue
2015-02-19 14:17 Christian Grothoff Status new => assigned
2015-02-19 14:17 Christian Grothoff Assigned To => Matthias Wachs
2015-02-19 14:18 Christian Grothoff Note Added: 0008896
2015-02-19 14:18 Christian Grothoff Priority normal => urgent
2015-02-19 14:18 Christian Grothoff Target Version => 0.11.0pre66
2015-02-19 14:19 Christian Grothoff Relationship added related to 0003683
2015-02-19 14:44 Christian Grothoff Relationship added related to 0003684
2015-02-20 20:23 Christian Grothoff Note Added: 0008900
2015-02-21 00:02 Christian Grothoff Note Added: 0008901
2015-02-21 19:06 Christian Grothoff Note Added: 0008904
2015-02-21 19:10 Christian Grothoff Note Added: 0008905
2015-02-21 21:43 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff
2015-02-21 21:44 Christian Grothoff Note Added: 0008906
2015-02-21 21:44 Christian Grothoff Status assigned => resolved
2015-02-21 21:44 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-02-21 21:44 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed